<button id="navProfilOpen" (click)="showMenu($event)">
  <img *ngIf="!user || !user?.avatar" src="/assets/imgs/layout/default.png">
  <img *ngIf="user?.avatar" [src]="'data:image/jpeg;base64,'+user.avatar">
</button>
<div id="navProfilMenu" [hidden]="hidden">
  <div class="header">
    <div class="image">
      <img *ngIf="!user || !user?.avatar" src="/assets/imgs/layout/default.png">
      <img *ngIf="user?.avatar" [src]="'data:image/jpeg;base64,'+user.avatar">
    </div>
    <div class="info">
      <p *ngIf="user" class="name">{{user.firstname}} {{user.lastname}}</p>
      <p *ngIf="user" class="email">{{user.email}}</p>
    </div>
  </div>
  <div class="body">
    <ul>
      <li>
        <a [routerLink]="['/user/profil']"><i class="fa fa-address-card-o" aria-hidden="true"></i> Profil</a>
      </li>
      <li><button (click)="logout()">Logout</button></li>
    </ul>
  </div>
</div>